Subject: bug#65913: with-help-window arranges for 'inhibit-read-only' to be set to 't'

From: Heime <[email-masked]>
Date: Wed, 13 Sep 2023 14:54:04 +0000

Sent with Proton Mail secure email.

------- Original Message -------
On Thursday, September 14th, 2023 at 2:46 AM, Eli Zaretskii <[email-masked]> wrote:

> tags 65913 wontfix
> close 65913
> thanks
> 
> > From: Stefan Kangas [email-masked]
> > Date: Wed, 13 Sep 2023 07:04:31 -0700
> > Cc: [email-masked]
> > 
> > Eli Zaretskii [email-masked] writes:
> > 
> > > I disagree. The use of inhibit-read-only is an implementation detail
> > > of with-help-window (and of many other functions in Emacs); mentioning
> > > it in the doc string will IMO have no useful purpose.
> > > 
> > > The doc string of "C-x C-q" (read-only-mode) does mention
> > > inhibit-read-only, which is I think a much more reasonable place for a
> > > reference to that variable.
> > > 
> > > Stefan, WDYT?
> > 
> > I tend to agree with you.
> 
> 
> OK, so I'm closing this bug.

Congratulations for the disregard !  A disease that makes only the
the opinion of maintainers relevant rather than those using it.
A Total Disaster.